Bug 1601955 - Error when trying to delete cloud image
Summary: Error when trying to delete cloud image
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks: 1434762
TreeView+ depends on / blocked
 
Reported: 2018-07-17 14:25 UTC by Tasos Papaioannou
Modified: 2019-02-11 14:18 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 14:18:45 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
production.log traceback (7.52 KB, text/plain)
2018-07-17 14:25 UTC, Tasos Papaioannou
no flags Details

Description Tasos Papaioannou 2018-07-17 14:25:06 UTC
Created attachment 1459438 [details]
production.log traceback

Description of problem:


Version-Release number of selected component (if applicable):

5.10.0.4

How reproducible:

100%

Steps to Reproduce:
1.) Create a cloud compute provider.
2.) Try to remove one of its images the CFME inventory.

Actual results:

Image is not removed.

Expected results:

Image is removed.

Additional info:

NoMethodError is logged in production.log (full traceback attached):

[----] F, [2018-07-17T10:05:17.446228 #12073:163f3e8] FATAL -- : Error caught: [NoMethodError] undefined method `validate_destroy' for #<ManageIQ::Providers::Amazon::CloudManager::Template:0x00000000150e22b0>
Did you mean?  validate_stop

I see the same issue with Amazon EC 2, Azure, and Google Compute Engine providers.

Comment 4 Hilda Stastna 2018-07-19 09:51:40 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/4318

Comment 6 CFME Bot 2018-08-01 12:26:02 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/7de8cf2aed5acdd5686db21af35520509b47b8d7
commit 7de8cf2aed5acdd5686db21af35520509b47b8d7
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Tue Jul 31 11:40:55 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Tue Jul 31 11:40:55 2018 -0400

    Fix Remove Selected Items from Inventory button for Images, Instances

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1601955

    Fix the button by adding support for destroy to VmOrTemplate model.

 app/models/mixins/supports_feature_mixin.rb | 1 +
 app/models/vm_or_template.rb | 1 +
 2 files changed, 2 insertions(+)

Comment 7 Tasos Papaioannou 2018-08-29 19:26:09 UTC
Verified on 5.10.0.12.


Note You need to log in before you can comment on or make changes to this bug.